After 12.2.4 Upgrade Package FND_OAM_UMS_LOADER Is Invalid With Error 'PLS-00323: subprogram or cursor 'UP_FND_UMS_BUGFIX_RELATIONSHIP' is declared in a package specification and must be defined'

(Doc ID 2100713.1)

Last updated on JANUARY 29, 2016

Applies to:

Oracle Applications DBA - Version 12.2.4 to 12.2.5 [Release 12.2Cloud to 12.2]
Information in this document applies to any platform.

Symptoms

E-Business Suite 12.2.4, Issues with the Functionality of AD Utilities

After an upgrade to 12.2.4, the following FND object is invalid:

FND_OAM_UMS_LOADER

When attempting recompile the object, the following error is received:

ERROR
-----------------------
SQL> ALTER PACKAGE APPS.FND_OAM_UMS_LOADER COMPILE BODY;

Warning: Package Body altered with compilation errors.

SQL> show error
Errors for PACKAGE BODY APPS.FND_OAM_UMS_LOADER:

LINE/COL ERROR
-------- -----------------------------------------------------------------
94/11 PLS-00323: subprogram or cursor 'UP_FND_UMS_BUGFIX_RELATIONSHIP'
  is declared in a package specification and must be defined in
  the package body


STEPS
-----------------------
The issue can be reproduced at will with the following steps:
1. Upgrade Oracle E-Business Suite to R12.2.4.

2. Check for invalid objects after the upgrade.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms